mxGraphMlEdge (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.io.graphml
Class mxGraphMlEdge

    java.lang.Object
      com.mxgraph.io.graphml.mxGraphMlEdge

    public class mxGraphMlEdge

extends Object

Represents a Data element in the GML Structure.

Constructor Summary
`mxGraphMlEdge(Element edgeElement)` Construct an edge from a xml edge element.
`mxGraphMlEdge(String edgeSource, String edgeTarget, String edgeSourcePort, String edgeTargetPort)` Construct an edge with source and target.

Method Summary
`Element` | `generateElement(Document document)` Generates a Edge Element from this class.
`mxGraphMlData` | `getEdgeData()`
`HashMap<String,mxGraphMlData>` | `getEdgeDataMap()`
`String` | `getEdgeDirected()`
`String` | `getEdgeId()`
`String` | `getEdgeSource()`
`String` | `getEdgeSourcePort()`
`String` | `getEdgeStyle()` Returns if the edge has end arrow.
`String` | `getEdgeTarget()`
`String` | `getEdgeTargetPort()`
`void` | `setEdgeData(mxGraphMlData egdeData)`
`void` | `setEdgeDataMap(HashMap<String,mxGraphMlData> nodeEdgeMap)`
`void` | `setEdgeDirected(String edgeDirected)`
`void` | `setEdgeId(String edgeId)`
`void` | `setEdgeSource(String edgeSource)`
`void` | `setEdgeSourcePort(String edgeSourcePort)`
`void` | `setEdgeTarget(String edgeTarget)`
`void` | `setEdgeTargetPort(String edgeTargetPort)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxGraphMlEdge

    public mxGraphMlEdge(String edgeSource,
                         String edgeTarget,
                         String edgeSourcePort,
                         String edgeTargetPort)

  Construct an edge with source and target.

  Parameters:
    `edgeSource` - Source Node's ID.
    `edgeTarget` - Target Node's ID.

### mxGraphMlEdge

    public mxGraphMlEdge(Element edgeElement)

  Construct an edge from a xml edge element.

  Parameters:
    `edgeElement` - Xml edge element.

Method Detail

### getEdgeDirected

    public String getEdgeDirected()

### setEdgeDirected

    public void setEdgeDirected(String edgeDirected)

### getEdgeId

    public String getEdgeId()

### setEdgeId

    public void setEdgeId(String edgeId)

### getEdgeSource

    public String getEdgeSource()

### setEdgeSource

    public void setEdgeSource(String edgeSource)

### getEdgeSourcePort

    public String getEdgeSourcePort()

### setEdgeSourcePort

    public void setEdgeSourcePort(String edgeSourcePort)

### getEdgeTarget

    public String getEdgeTarget()

### setEdgeTarget

    public void setEdgeTarget(String edgeTarget)

### getEdgeTargetPort

    public String getEdgeTargetPort()

### setEdgeTargetPort

    public void setEdgeTargetPort(String edgeTargetPort)

### getEdgeDataMap

    public HashMap<String,mxGraphMlData> getEdgeDataMap()

### setEdgeDataMap

    public void setEdgeDataMap(HashMap<String,mxGraphMlData> nodeEdgeMap)

### getEdgeData

    public mxGraphMlData getEdgeData()

### setEdgeData

    public void setEdgeData(mxGraphMlData egdeData)

### generateElement

    public Element generateElement(Document document)

  Generates a Edge Element from this class.

  Parameters:
    `document` - Document where the key Element will be inserted.
  Returns:
    Returns the generated Elements.

### getEdgeStyle

    public String getEdgeStyle()

  Returns if the edge has end arrow.

  Returns:
    style that indicates the end arrow type(CLASSIC or NONE).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.